## ros-rolling-domain-bridge 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(domain_bridge)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils REQUIRED)
# Leverage rosbag2's generic type support utilities
find_package(rosbag2_cpp REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/${PROJECT_NAME}/domain_bridge.cpp
  src/${PROJECT_NAME}/domain_bridge_options.cpp
  src/${PROJECT_NAME}/generic_publisher.cpp
  src/${PROJECT_NAME}/generic_subscription.cpp
  src/${PROJECT_NAME}/parse_domain_bridge_yaml_config.cpp
  src/${PROJECT_NAME}/qos_options.cpp
  src/${PROJECT_NAME}/topic_bridge_options.cpp
)

target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)

if(CMAKE_COMPILER_IS_GNUCXX)
  target_link_libraries(${PROJECT_NAME} stdc++fs)
endif()

ament_target_dependencies(${PROJECT_NAME}
  rclcpp
  rcutils
  rosbag2_cpp
  yaml_cpp_vendor
)

add_executable(${PROJECT_NAME}_exec
  src/domain_bridge.cpp
)

set_target_properties(${PROJECT_NAME}_exec PROPERTIES OUTPUT_NAME ${PROJECT_NAME} PREFIX "")

target_link_libraries(${PROJECT_NAME}_exec
  ${PROJECT_NAME}
)

install(DIRECTORY include/
  DESTINATION include
)

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_exec
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY examples launch
  DESTINATION share/${PROJECT_NAME}
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(
  rclcpp
  rosbag2_cpp
  rcutils
  yaml_cpp_vendor
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  add_subdirectory(test)
endif()

ament_package()

=== test/CMakeLists.txt ===
find_package(ament_cmake_gmock REQUIRED)
find_package(ament_cmake_gtest REQUIRED)
find_package(launch_testing_ament_cmake REQUIRED)
find_package(test_msgs REQUIRED)

ament_add_gmock(test_domain_bridge
  domain_bridge/test_domain_bridge.cpp
)
if(TARGET test_domain_bridge)
  ament_target_dependencies(test_domain_bridge
    "rclcpp"
  )
  target_link_libraries(test_domain_bridge ${PROJECT_NAME})
endif()

ament_add_gmock(test_parse_domain_bridge_yaml_config
  domain_bridge/test_parse_domain_bridge_yaml_config.cpp
  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/domain_bridge"
)
if(TARGET test_parse_domain_bridge_yaml_config)
  target_link_libraries(test_parse_domain_bridge_yaml_config ${PROJECT_NAME})
endif()

ament_add_gmock(test_qos_matching
  domain_bridge/test_qos_matching.cpp
)
if(TARGET test_qos_matching)
  ament_target_dependencies(test_qos_matching
    "rclcpp"
    "test_msgs"
  )
  target_link_libraries(test_qos_matching ${PROJECT_NAME})
endif()

ament_add_gmock(test_remap_name
  domain_bridge/test_remap_name.cpp
)
if(TARGET test_remap_name)
  ament_target_dependencies(test_remap_name
    "rclcpp"
    "test_msgs"
  )
  target_link_libraries(test_remap_name ${PROJECT_NAME})
endif()


# Test executable
add_launch_test(
  test_domain_bridge.launch.py
  WORKING_DIRECTORY "$<TARGET_FILE_DIR:${PROJECT_NAME}_exec>"
)

=== debian/changelog ===
ros-rolling-domain-bridge (0.3.0-1focal) focal; urgency=high

  * Override handle_serialized_message (#21 <https://github.com/ros2/domain_bridge/issues/21>)
  * Do not crash if there's an error querying endpoint info (#20 <https://github.com/ros2/domain_bridge/issues/20>)
  * Add topic remapping (#19 <https://github.com/ros2/domain_bridge/issues/19>)
  * Fix doc link in readme (#18 <https://github.com/ros2/domain_bridge/issues/18>)
  * Contributors: Chris Lalancette, Jacob Perron, Tully Foote

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 20 May 2021 07:00:00 -0000

ros-rolling-domain-bridge (0.2.0-1focal) focal; urgency=high

  * Stop installing test resources (#17 <https://github.com/ros2/domain_bridge/issues/17>)
  * Add explicit link against stdc++fs (#16 <https://github.com/ros2/domain_bridge/issues/16>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 08 Apr 2021 07:00:00 -0000

ros-rolling-domain-bridge (0.1.0-1focal) focal; urgency=high

  * Change default value of deadline and lifespan (#15 <https://github.com/ros2/domain_bridge/issues/15>)
  * Include rclcpp from-source in CI
  * Add missing test dependency
  * Add QoS overriding
  * Add launch file (#9 <https://github.com/ros2/domain_bridge/issues/9>)
  * Ignore generated Python files (#12 <https://github.com/ros2/domain_bridge/issues/12>)
  * Add '--from' and '--to' options to executable + add tests (#7 <https://github.com/ros2/domain_bridge/issues/7>)
  * Automatically match QoS settings across the bridge (#5 <https://github.com/ros2/domain_bridge/issues/5>)
  * Refactor YAML parsing and allow default domain IDs (#6 <https://github.com/ros2/domain_bridge/issues/6>)
  * Support for configuring domain bridge with YAML (#4 <https://github.com/ros2/domain_bridge/issues/4>)
  * Fix topic bridge less operator (#3 <https://github.com/ros2/domain_bridge/issues/3>)
  * Add GitHub workflow for CI
  * Add unit tests
  * Add domain bridge library (#1 <https://github.com/ros2/domain_bridge/issues/1>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-domain-bridge
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-example-interfaces, ros-rolling-launch, ros-rolling-launch-testing, ros-rolling-launch-testing-ament-cmake, ros-rolling-rclcpp, ros-rolling-rcutils, ros-rolling-rosbag2-cpp, ros-rolling-test-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-domain-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-rolling-rclcpp, ros-rolling-rcutils, ros-rolling-rosbag2-cpp, ros-rolling-ros-workspace
Description: ROS 2 Domain Bridge

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-domain-bridge//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-domain-bridge 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(domain_bridge)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rcutils REQUIRED)
# Leverage rosbag2's generic type support utilities
find_package(rosbag2_cpp REQUIRED)
find_package(rosidl_typesupport_cpp REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)
find_package(zstd_vendor REQUIRED)
find_package(zstd REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  msg/CompressedMsg.msg
)

add_library(${PROJECT_NAME}_lib SHARED
  src/${PROJECT_NAME}/component_manager.cpp
  src/${PROJECT_NAME}/compress_messages.cpp
  src/${PROJECT_NAME}/domain_bridge.cpp
  src/${PROJECT_NAME}/domain_bridge_options.cpp
  src/${PROJECT_NAME}/parse_domain_bridge_yaml_config.cpp
  src/${PROJECT_NAME}/qos_options.cpp
  src/${PROJECT_NAME}/service_bridge_options.cpp
  src/${PROJECT_NAME}/topic_bridge_options.cpp
)

target_include_directories(${PROJECT_NAME}_lib PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)

if(CMAKE_COMPILER_IS_GNUCXX)
  target_link_libraries(${PROJECT_NAME}_lib stdc++fs)
endif()

ament_target_dependencies(${PROJECT_NAME}_lib
  rclcpp
  rclcpp_components
  rcutils
  rosbag2_cpp
  rosidl_typesupport_cpp
  yaml_cpp_vendor
  zstd
)

rosidl_get_typesupport_target(cpp_typesupport_target
  ${PROJECT_NAME} "rosidl_typesupport_cpp")
target_link_libraries(${PROJECT_NAME}_lib "${cpp_typesupport_target}")

set_target_properties(${PROJECT_NAME}_lib PROPERTIES OUTPUT_NAME ${PROJECT_NAME})

add_executable(${PROJECT_NAME}_exec
  src/domain_bridge.cpp
)

ament_target_dependencies(${PROJECT_NAME}_exec
  "rclcpp_components")

set_target_properties(${PROJECT_NAME}_exec PROPERTIES OUTPUT_NAME ${PROJECT_NAME} PREFIX "")

target_link_libraries(${PROJECT_NAME}_exec
  ${PROJECT_NAME}_lib
)

# Only needed to build domain_bridge_rti_qos executable.
find_package(rti_connext_dds_cmake_module QUIET)
find_package(rcpputils QUIET)

set(executables ${PROJECT_NAME}_exec)

if(rti_connext_dds_cmake_module_FOUND AND rcpputils_FOUND)
  rti_find_connextpro()
  if(RTIConnextDDS_FOUND)
    add_executable(${PROJECT_NAME}_rti_exec
      src/domain_bridge_rti_qos.cpp
    )
    set_target_properties(${PROJECT_NAME}_rti_exec
      PROPERTIES OUTPUT_NAME ${PROJECT_NAME}_rti_qos PREFIX "")
    target_link_libraries(${PROJECT_NAME}_rti_exec
      ${PROJECT_NAME}_lib
      RTIConnextDDS::c_api
    )

    ament_target_dependencies(${PROJECT_NAME}_rti_exec
      rcpputils
    )
    list(APPEND executables ${PROJECT_NAME}_rti_exec)
  endif()
endif()

install(DIRECTORY include/
  DESTINATION include
)

install(TARGETS ${executables}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(TARGETS ${PROJECT_NAME}_lib
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY examples launch
  DESTINATION share/${PROJECT_NAME}
)

ament_export_targets(export_${PROJECT_NAME})
ament_export_dependencies(
  rclcpp
  rclcpp_components
  rosbag2_cpp
  rcutils
  yaml_cpp_vendor
  zstd_vendor
  zstd
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(test_msgs REQUIRED)
  ament_lint_auto_find_test_dependencies()

  add_subdirectory(test)

  add_library(${PROJECT_NAME}_test_component_lib SHARED
    test/${PROJECT_NAME}/test_component.cpp
  )
  ament_target_dependencies(${PROJECT_NAME}_test_component_lib
    rclcpp
    rclcpp_components
    test_msgs
  )
  rclcpp_components_register_node(${PROJECT_NAME}_test_component_lib
    PLUGIN "domain_bridge::TestComponent"
    EXECUTABLE test_component)

  install(TARGETS ${PROJECT_NAME}_test_component_lib
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION lib/${PROJECT_NAME}
  )
endif()

ament_package()

=== debian/changelog ===
ros-rolling-domain-bridge (0.5.0-3jammy) jammy; urgency=high

  * Fix API docs link (#67 <https://github.com/ros2/domain_bridge/issues/67>)
  * Fixes for Ubuntu Jammy (#66 <https://github.com/ros2/domain_bridge/issues/66>)
  * Support loading domain bridge settings from multiple yaml files (#64 <https://github.com/ros2/domain_bridge/issues/64>)
  * Auto remove bridge when endpoint removed (#63 <https://github.com/ros2/domain_bridge/issues/63>)
  * Do not associate test library with export (#61 <https://github.com/ros2/domain_bridge/issues/61>)
  * Add option to wait for subscription before bridging a topic (#52 <https://github.com/ros2/domain_bridge/issues/52>)
  * Add missing dependency in test_component_lib (#53 <https://github.com/ros2/domain_bridge/issues/53>)
  * Domain bridge container (#32 <https://github.com/ros2/domain_bridge/issues/32>)
  * Make some end to end tests more reliable (#51 <https://github.com/ros2/domain_bridge/issues/51>)
  * Install CLI parsing header (#45 <https://github.com/ros2/domain_bridge/issues/45>)
  * Wait for multiple publishers in get_topic_qos() (#47 <https://github.com/ros2/domain_bridge/issues/47>)
  * Use defered service support in rclcpp (#49 <https://github.com/ros2/domain_bridge/issues/49>)
  * Use testing repo for CI (#50 <https://github.com/ros2/domain_bridge/issues/50>)
  * Run communication-related tests with all available RMWs (#43 <https://github.com/ros2/domain_bridge/issues/43>)
  * Fix bug when waiting for service to be available (#42 <https://github.com/ros2/domain_bridge/issues/42>)
  * Add reverse option to swap from and to domain IDs (#40 <https://github.com/ros2/domain_bridge/issues/40>)
  * Allow bi-directional topic bridging (#39 <https://github.com/ros2/domain_bridge/issues/39>)
  * Add --mode argument to domain_bridge (#35 <https://github.com/ros2/domain_bridge/issues/35>)
  * Add template method to help bridging services (#26 <https://github.com/ros2/domain_bridge/issues/26>)
  * Fix library target install (#36 <https://github.com/ros2/domain_bridge/issues/36>)
  * Update CI workflow (#34 <https://github.com/ros2/domain_bridge/issues/34>)
  * Prevent bridging from/to same domain id (#33 <https://github.com/ros2/domain_bridge/issues/33>)
  * Rti qos profiles patch (#25 <https://github.com/ros2/domain_bridge/issues/25>)
  * Add compressing and decompressing modes (#24 <https://github.com/ros2/domain_bridge/issues/24>)
  * Refactor to use generic pub/sub from rclcpp (#30 <https://github.com/ros2/domain_bridge/issues/30>)
  * Fix bug in generic subscription (#27 <https://github.com/ros2/domain_bridge/issues/27>)
  * Contributors: Abrar Rahman Protyasha, Ivan Santiago Paunovic, Jacob Perron, Rebecca Butler

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 12 May 2022 07:00:00 -0000

ros-rolling-domain-bridge (0.3.0-3jammy) jammy; urgency=high

  * Override handle_serialized_message (#21 <https://github.com/ros2/domain_bridge/issues/21>)
  * Do not crash if there's an error querying endpoint info (#20 <https://github.com/ros2/domain_bridge/issues/20>)
  * Add topic remapping (#19 <https://github.com/ros2/domain_bridge/issues/19>)
  * Fix doc link in readme (#18 <https://github.com/ros2/domain_bridge/issues/18>)
  * Contributors: Chris Lalancette, Jacob Perron, Tully Foote

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 20 May 2021 07:00:00 -0000

ros-rolling-domain-bridge (0.2.0-3jammy) jammy; urgency=high

  * Stop installing test resources (#17 <https://github.com/ros2/domain_bridge/issues/17>)
  * Add explicit link against stdc++fs (#16 <https://github.com/ros2/domain_bridge/issues/16>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 08 Apr 2021 07:00:00 -0000

ros-rolling-domain-bridge (0.1.0-3jammy) jammy; urgency=high

  * Change default value of deadline and lifespan (#15 <https://github.com/ros2/domain_bridge/issues/15>)
  * Include rclcpp from-source in CI
  * Add missing test dependency
  * Add QoS overriding
  * Add launch file (#9 <https://github.com/ros2/domain_bridge/issues/9>)
  * Ignore generated Python files (#12 <https://github.com/ros2/domain_bridge/issues/12>)
  * Add '--from' and '--to' options to executable + add tests (#7 <https://github.com/ros2/domain_bridge/issues/7>)
  * Automatically match QoS settings across the bridge (#5 <https://github.com/ros2/domain_bridge/issues/5>)
  * Refactor YAML parsing and allow default domain IDs (#6 <https://github.com/ros2/domain_bridge/issues/6>)
  * Support for configuring domain bridge with YAML (#4 <https://github.com/ros2/domain_bridge/issues/4>)
  * Fix topic bridge less operator (#3 <https://github.com/ros2/domain_bridge/issues/3>)
  * Add GitHub workflow for CI
  * Add unit tests
  * Add domain bridge library (#1 <https://github.com/ros2/domain_bridge/issues/1>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-domain-bridge
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-example-interfaces <!nocheck>, ros-rolling-launch <!nocheck>, ros-rolling-launch-testing <!nocheck>, ros-rolling-launch-testing-ament-cmake <!nocheck>, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rcutils, ros-rolling-rmw-connextdds <!nocheck>, ros-rolling-rmw-cyclonedds-cpp <!nocheck>, ros-rolling-rmw-fastrtps-cpp <!nocheck>, ros-rolling-rmw-implementation-cmake <!nocheck>, ros-rolling-rosbag2-cpp, ros-rolling-rosgraph-msgs <!nocheck>, ros-rolling-rosidl-default-generators, ros-rolling-rosidl-typesupport-cpp, ros-rolling-test-msgs <!nocheck>, ros-rolling-zstd-vendor, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-domain-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rcutils, ros-rolling-rosbag2-cpp, ros-rolling-rosidl-default-runtime, ros-rolling-rosidl-typesupport-cpp, ros-rolling-zstd-vendor, ros-rolling-ros-workspace
Description: ROS 2 Domain Bridge

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
